dmaps: XDmaPs_ChannelData Struct Reference

| dmaps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDmaPs_ChannelData Struct Reference
Dmaps_v2_5

The XDmaPs_ChannelData is a struct to book keep individual channel of the DMAC. More...

## Data Fields
unsigned | DevId
| Device id indicating which DMAC. More...
unsigned | ChanId
| Channel number of the DMAC. More...
XDmaPs_ProgBuf | ProgBufPool [XDMAPS_MAX_CHAN_BUFS]
| A pool of program buffers. More...
XDmaPsDoneHandler | DoneHandler
| Done interrupt handler. More...
void * | DoneRef
| Done interrupt callback data. More...
XDmaPs_Cmd * | DmaCmdToHw
| DMA command being executed. More...
XDmaPs_Cmd * | DmaCmdFromHw
| DMA command that is finished. More...
int | HoldDmaProg
| A tag indicating whether to hold the DMA program after the DMA is done. More...

## Detailed Description

The XDmaPs_ChannelData is a struct to book keep individual channel of the DMAC.

## Field Documentation

unsigned XDmaPs_ChannelData::ChanId

Channel number of the DMAC.

Referenced by XDmaPs_CfgInitialize().

unsigned XDmaPs_ChannelData::DevId

Device id indicating which DMAC.

Referenced by XDmaPs_CfgInitialize().

XDmaPs_Cmd* XDmaPs_ChannelData::DmaCmdFromHw

DMA command that is finished.

This field is for debugging purpose

Referenced by XDmaPs_FaultISR().

XDmaPs_Cmd* XDmaPs_ChannelData::DmaCmdToHw

DMA command being executed.

Referenced by XDmaPs_FaultISR(), XDmaPs_IsActive(), and XDmaPs_Start().

XDmaPsDoneHandler XDmaPs_ChannelData::DoneHandler

Done interrupt handler.

Referenced by XDmaPs_SetDoneHandler().

void* XDmaPs_ChannelData::DoneRef

Done interrupt callback data.

Referenced by XDmaPs_SetDoneHandler().

int XDmaPs_ChannelData::HoldDmaProg

A tag indicating whether to hold the DMA program after the DMA is done.

Referenced by XDmaPs_FaultISR(), and XDmaPs_Start().

XDmaPs_ProgBuf XDmaPs_ChannelData::ProgBufPool[XDMAPS_MAX_CHAN_BUFS]

A pool of program buffers.

Referenced by XDmaPs_FaultISR(), XDmaPs_FreeDmaProg(), and XDmaPs_GenDmaProg().